> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Hris Employee Profile

> Updates title, department, manager or phone through a change request that admins auto-approve and apply.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/update-hris-employee-profile
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/update-hris-employee-profile:
    post:
      operationId: updateHrisEmployeeProfile
      summary: Update Hris Employee Profile
      description: >-
        Updates title, department, manager or phone through a change request
        that admins auto-approve and apply.


        Not available to API keys yet. It will need `people:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateHrisEmployeeProfileRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateHrisEmployeeProfileResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateHrisEmployeeProfileRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        title:
          type: string
          minLength: 1
          maxLength: 255
        department:
          type: string
          minLength: 1
          maxLength: 255
        managerName:
          type:
            - string
            - 'null'
          minLength: 1
          maxLength: 255
        managerEmail:
          type:
            - string
            - 'null'
          format: email
        managerRoleInOrgID:
          type:
            - string
            - 'null'
          format: uuid
        phoneNumber:
          type: string
          minLength: 1
          maxLength: 50
      required:
        - roleInOrgID
    UpdateHrisEmployeeProfileResponse:
      type: object
      properties:
        success:
          type: boolean
        updatedFields:
          type: array
          items:
            type: string
        changeRequestId:
          type: string
        warnings:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              reason:
                type: string
            required:
              - field
              - reason
      required:
        - success
        - updatedFields
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
